Loading...
Searching...
No Matches
Key.h File Reference

Go to the source code of this file.

## Classes

struct | gtsam::StreamedKey
| To use the key_formatter on Keys, they must be wrapped in a StreamedKey. More...
class | gtsam::key_formatter
| Output stream manipulator that will format gtsam::Keys according to the given KeyFormatter, as long as Key values are wrapped in a gtsam::StreamedKey. More...
struct | gtsam::traits< Key >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::KeyFormatter = std::function<std::string(Key)>
| Typedef for a function to format a key, i.e. to convert it to a string.
using | gtsam::KeyVector = FastVector<Key>
| Define collection type once and for all - also used in wrappers.
using | gtsam::KeyList = FastList<Key>
using | gtsam::KeySet = FastSet<Key>
using | gtsam::KeyGroupMap = FastMap<Key, int>

## Functions

string | gtsam::_defaultKeyFormatter (Key key)
string | gtsam::_multirobotKeyFormatter (Key key)
void | gtsam::PrintKey (Key key, const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter)
| Utility function to print one key with optional prefix.
void | gtsam::PrintKeyList (const KeyList &keys, const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter)
| Utility function to print sets of keys with optional prefix.
void | gtsam::PrintKeyVector (const KeyVector &keys, const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter)
| Utility function to print sets of keys with optional prefix.
void | gtsam::PrintKeySet (const KeySet &keys, const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter)
| Utility function to print sets of keys with optional prefix.

## Detailed Description

Author
  Richard Roberts
  Alex Cunningham

Date
  Feb 20, 2012

Author
  Richard Roberts

Date
  Feb 20, 2012